# stl_pair.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_pair.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- struct std::pair< _T1, _T2 >
    pair holds two objects of arbitrary type. More...

## Defines

- #define _STL_PAIR_H

## Functions

- template<class _T1, class _T2> pair< _T1, _T2 > std::make_pair (_T1 __x, _T2 __y)
- template<class _T1, class _T2> bool std::operator!= (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool std::operator< (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool std::operator<= (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool std::operator== (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool std::operator> (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)
- template<class _T1, class _T2> bool std::operator>= (const pair< _T1, _T2 > &__x, const pair< _T1, _T2 > &__y)